Summary: 	A Tk toolkit extension.
Name: 		blt-devel
Version: 	2.4z
Release: 	2
Copyright: 	MIT
Group: 		Development
Obsoletes: 	blt-devel
Source: 	BLT%{version}.tar.gz
Patch:		blt2.4-tk8.5.patch
URL:		http://www.sourceforge.net/projects/blt
Buildroot: 	%{_tmppath}/%{name}-root
Provides:	blt BLT BLT-devel

%description
BLT is an extension to the Tk toolkit.  BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry
managers and miscellaneous other commands.  Note that you won't need to
do any patching of the Tcl or Tk source files to use BLT, but you
will need to have Tcl/Tk installed in order to use BLT.

If you are programming with the Tk toolkit, you should install BLT.
You will need to have Tcl/Tk installed.

%prep
%setup -q -n blt%{version}
%patch -p1
perl -pi -e 's|/usr/local/bin/tclsh|%{_prefix}/bin/tclsh|' ./demos/scripts/page.tcl

%build
%configure
make 

%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}
%makeinstall exec_prefix=${RPM_BUILD_ROOT}%{_prefix} scriptdir=${RPM_BUILD_ROOT}%{_prefix}/lib/blt2.4

strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

perl -pi -e 's|/usr/local/bin/tclsh|%{_prefix}/bin/tclsh|' ${RPM_BUILD_ROOT}%{_prefix}/lib/blt2.4/demos/scripts/page.tcl

find ${RPM_BUILD_ROOT}%{_prefix}/lib/blt2.4/demos -type f -perm +011 -exec chmod 755 {} \;

rm -f ${RPM_BUILD_ROOT}%{_prefix}/lib/blt2.4/{NEWS,PROBLEMS,README}


# XXX conflicts with itcl package
{ cd ${RPM_BUILD_ROOT}
  for i in tabset.n watch.n graph.n bitmap.n; do
    rm -f .%{_mandir}/mann/${i}*
  done
}

%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/blt*
%{_libdir}/libBLT*
%{_prefix}/lib/blt2.4
%{_includedir}/*.h
